package intrinsic.mx.utils;

public class URLUtil extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String SERVER_NAME_TOKEN = "server_name_token";
	public static final String SERVER_PORT_TOKEN = "server_port_token";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public URLUtil() {
}


/** Static Methods */
public static native String getServerNameWithPort(String arg0);
public static native boolean hasUnresolvableTokens();
public static native String replaceTokens(String arg0);
public static native Object stringToObject(String arg0);
public static native Object stringToObject(String arg0, String arg1);
public static native Object stringToObject(String arg0, String arg1, boolean arg2);
public static native String replaceProtocol(String arg0, String arg1);
public static native String replacePort(String arg0, int arg1);
public static native boolean urisEqual(String arg0, String arg1);
public static native String getServerName(String arg0);
public static native boolean isHttpURL(String arg0);
public static native boolean isHttpsURL(String arg0);
public static native String getProtocol(String arg0);
public static native String getFullURL(String arg0, String arg1);
public static native int getPort(String arg0);
public static native String objectToString(Object arg0);
public static native String objectToString(Object arg0, String arg1);
public static native String objectToString(Object arg0, String arg1, boolean arg2);

/** Methods */

}
